#ifndef __XLIC_REQUEST_LICENSE__
#define __XLIC_REQUEST_LICENSE__

#include <xtl/thread.hpp>
#include <xlic/task.hpp>
#include <xlic/types.hpp>

namespace xlic {

class request_license : public xlic::task {
public:
	request_license(
		xlic::session * session,
		xlic::worker & worker,
		xlic::request_id request_id,
		const std::string & name,
		const std::string & username,
		const std::string & password
	);

	void write_result(xtl::ostream & stream) override;

private:
	xlic::result_code m_result_code;
	xtl::thread m_thread;
};

} // namespace xlic

#endif
