#ifndef __XLIC_SET_SYSTEM_NAME__
#define __XLIC_SET_SYSTEM_NAME__

#include <xtl/thread.hpp>
#include <xlic/task.hpp>
#include <xlic/types.hpp>

namespace xlic {

class set_system_name : public xlic::task {
public:
	set_system_name(
		xlic::session * session,
		xlic::worker & worker,
		xlic::request_id request_id,
		const xlic::system_name & system_name
	);

	void write_result(xtl::ostream & stream) override;

private:
	xlic::result_code m_result_code;
	xtl::thread m_thread;
};

} // namespace xlic

#endif
