#ifndef __XLIC_GET_SYSTEM_NAME__
#define __XLIC_GET_SYSTEM_NAME__

#include <xlic/task.hpp>
#include <xlic/types.hpp>

namespace xlic {

class get_system_name : public xlic::task {
public:
	get_system_name(
		xlic::session * session,
		xlic::worker & worker,
		xlic::request_id request_id
	);

	void write_result(xtl::ostream & stream) override;

private:
	xlic::system_name m_system_name;
};

} // namespace xlic

#endif
